Package org.apache.sling.distribution.journal.impl.subscriber

## Interface IdleCheck

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Implementing Classes:
  `NoopIdle`, `SubscriberIdle`

    public interface IdleCheck
    extends Closeable

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `busy​(int retries)` Called when processing of a message starts
`void` `idle()` Called when processing of a message has finished
`boolean` `isIdle()`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### busy

    void busy​(int retries)

Called when processing of a message starts

Parameters:
  `retries` - the number of retries to process the message

#### idle

    void idle()

Called when processing of a message has finished

#### isIdle

    boolean isIdle()